python-qt4 (4.12.1+dfsg-2build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 09:55:02 +0000

python-qt4 (4.12.1+dfsg-2) unstable; urgency=medium

  * Drop Breaks/Replaces on versions that are not even in oldstable.
  * Bump Standards-Version to 4.1.0, stop using deprecated Priority: extra.
  * Switch from python-sphinx to python3-sphinx.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Sep 2017 21:45:37 +0300

python-qt4 (4.12.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop debug_interpreter.diff, applied upstream.
  * Refactor debian/rules to avoid removing files after install.
  * Stop removing pyshared directories, they are no longer created.
  * Bump debhelper compatibility level to 10.
  * Remove unused variables from debian/rules.
  * Drop debian/python-qt4-doc.docs, we already install the built docs
    manually in debian/rules.
  * Call dh_strip_nondeterminism during build.
  * Bump Standards-Version to 4.0.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 03 Jul 2017 18:53:41 +0300

python-qt4 (4.12+dfsg-1) experimental; urgency=medium

  [ Scott Kitterman ]
  * Remove Michael Casadevall from uploaders due to retirement from Debian
    (Closes: #841464)
    - Thanks Michael for all your work on python-qt4

  [ Dmitry Shachnev ]
  * Update debian/watch for new tarballs naming scheme.
  * New upstream release.
  * Bump required sip version to 4.19.1, to make debug builds possible.
  * Add a patch to fix building extensions for debug interpreters
    (debug_interpreter.diff).
  * Disable rpath in configure options, now that we are using unpatched sip.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 09 May 2017 11:52:18 +0300

python-qt4 (4.11.4+dfsg-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Add explicit build-dependency on dh-python.
  * Build with Sphinx 1.3.
  * Stop building and installing the WebKit module (closes: #784513).
    - Break older versions of openlp, eric and python-qgis.
  * Drop obsolete XS-Testsuite header.
  * Bump Standards-Version to 3.9.8, no changes needed.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 25 May 2016 12:45:33 +0300

python-qt4 (4.11.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - pyuic now sorts imported modules (closes: #787250).
  * Drop remove_timestamps.diff, applied upstream.
  * Bump the required sip version to 4.16.4.
  * Add a temporary hack to use upstream stylesheet when building the
    documentation with Sphinx 1.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Jun 2015 15:17:18 +0300

python-qt4 (4.11.3+dfsg-2) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Added patch which removes embedding of timestamps in generated
    files, to enable reproducible builds in packages build-depending
    on python-qt4 (closes: #774509).

  [ Dmitry Shachnev ]
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 14 May 2015 15:18:25 +0300

python-qt4 (4.11.3+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Switch debian/copyright to copyright-format 1.0.
  * Add missing licensing information.
  * Use Files-Excluded instead of get-orig-source.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 13 Nov 2014 11:05:25 +0300

python-qt4 (4.11.2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Update my e-mail address.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Sep 2014 13:24:19 +0400

python-qt4 (4.11.1+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Drop debian/patches/fix_implicit_qtablewidget.patch and debian/patches/
      add_pro_files.diff which were cherry picks from upstream

 -- Scott Kitterman <scott@kitterman.com>  Fri, 04 Jul 2014 22:24:13 -0400

python-qt4 (4.11+dfsg-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Stop forcing bzip2 compression, it is now deprecated.

  [ Scott Kitterman ]
  * Added debian/patches/fix_implicit_qtablewidget.patch to fix a pyuic
    regression in the handling of implicit QTableWidget dimensions

 -- Scott Kitterman <scott@kitterman.com>  Wed, 18 Jun 2014 23:55:52 -0400

python-qt4 (4.11+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop qstring_conversion.diff, applied upstream.
  * Backport add_pro_files.diff from upstream to make configure.py work.
  * Refresh other patches.
  * Bump required sip4 version to 4.16.
  * Remove generated searchindex.js from the tarball.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 01 Jun 2014 13:56:15 +0400

python-qt4 (4.10.4+dfsg-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch (qstring_conversion.diff) to fix a bug in
    the conversion of QStrings with surrogate pairs.

  [ Scott Kitterman ]
  * Upload to unstable

 -- Scott Kitterman <scott@kitterman.com>  Fri, 09 May 2014 17:35:56 -0400

python-qt4 (4.10.4+dfsg-1) experimental; urgency=medium

  [ Bernd Zeimetz ]
  * Removing myself from Uploaders. 

  [ Dmitry Shachnev ]
  * New upstream bugfix release.
  * Bump sip version requirement to 4.15.5.
  * debian/patches/config_extra_headers.diff: drop, applied upstream.
  * debian/patches/phonon_cfgtest.diff: drop, fixed differently upstream.
  * Refresh and rebase other patches.
  * debian/rules: Drop Python 2.5 compatibility code.
  * debian/watch: Fix DFSG version mangling.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 19 Mar 2014 17:23:38 +0400

python-qt4 (4.10.3+dfsg1-1) unstable; urgency=low

  * get-orig-source.sh: Only remove the _static folder, as we still
    need some files in html that are not generated by Sphinx.
  * Re-add debian/python-qt4-doc.docs (closes: #729993).
  * Remove obsolete README.debian, examples work fine now.
  * Do not install Windows-specific activeqt examples.
  * Add description to debian_configure_changes.diff.
  * Remove leftover debug output from debian/rules.
  * Symlink duplicate files in examples using fdupes.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 20 Nov 2013 12:25:42 +0400

python-qt4 (4.10.3+dfsg-1) unstable; urgency=low

  * Update pyrcc4 man page to list -py2 and -py3 options.
  * Regenerate resource files during build.
  * Repack orig tarball to remove non-free Sphinx-generated HTML
    documentation and non-free JS files (closes: #723039).
  * Add debian/get-orig-source.sh script.
  * Update debian/watch to mangle dfsg version.
  * Drop debian/python-qt4-doc.docs, we install docs directly.
  * Pass --debug to configure.py when doing debug builds.
  * Add a patch (phonon_cfgtest.diff) to fix detection of new Phonon
    versions (closes: #729390).
  * Add a patch (config_flags.diff) to apply build flags to designer
    module.
  * Remove duplicate references to GPL license file from debian/copyright.
  * Add myself to Uploaders.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 13 Nov 2013 14:02:27 +0400

python-qt4 (4.10.3-2) unstable; urgency=low

  * Upload to unstable

  [ Jonathan Riddell ]
  * Add patch qreal_float_support.diff back to add back QList<double> code

  [ Scott Kitterman ]
  * Remove __pycache__ directories shipped in some examples

 -- Scott Kitterman <scott@kitterman.com>  Sat, 12 Oct 2013 02:20:26 -0400

python-qt4 (4.10.3-1) experimental; urgency=low

  * New upstream release
    - Bump minumum build-dep version for python/3-sip to 4.15
    - Remove debian/patches/qreal_float_support.diff, alternate solution
      implemented upstream 
    - Refresh patches 
  * Bump minimum version for python/3-all-dev to those that support the
    simplified build target introduced in the last upload. (Closes: #718733)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 21 Aug 2013 23:26:38 -0400

python-qt4 (4.10.2-2) unstable; urgency=low

  [ Dmitry Shachnev ]
  * Update dh_compress arguments so that pagefold.qss and wordlist.txt
    (in python-qt4-doc examples) are not compressed.

  [ Scott Kitterman ]
  * Feedback changes from Ubuntu:
    - Add autopkg test, to check that at least a basic import works, should
      catch API version changes in sip4.
    - Unify build targets across py2 & 3, both now multiarched and python3.2
      is not supported

 -- Scott Kitterman <scott@kitterman.com>  Sat, 03 Aug 2013 16:16:20 -0400

python-qt4 (4.10.2-1) unstable; urgency=low

  * New upstream release
  * Add build-conflicts python3.2-dev << 3.2.3-8~ due to need for
    python3.2-config to support the --configdir option (avoids adding a
    python3.2 specific build-dep) (Closes: #711457)
  * Switch python2.7-dev specific build-depends to versioned build-conflict on
    older versions for the same reasons as python3.2-dev
  * Remove obsolete Build-conflicts on python-xml and python-xml-dbg

 -- Scott Kitterman <scott@kitterman.com>  Thu, 06 Jun 2013 23:44:13 -0400

python-qt4 (4.10.1-1) unstable; urgency=low

  * Upload to unstable

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Dmitrijs Ledkovs ]
  * Fix compiling Qt Designer plugin with multiarched python.
  * Enable DEB_BUILD_OPTIONS compliant parallel build.

  [ Scott Kitterman ]
  * New upstream release
    - Refresh patches
    - Update debian/rules to work with python3.2 and 3.3 (Closes: #707157)
    - Bump minimum required sip4 build-dep versions to 4.14.4
  * Adjust pyqtconfig.py references in debian/python3-pyqt4.install to cover
    all variants now shipped
  * Fix find command in install-arch so pyqtconfig files for debug packages
    aren't removed
  * Additional minor cleanups to get files installed properly for pyqtconifg
     and .so files in python3-dbus.mainloop.qt/-dbg
  * Add debian/patches/config_extra_headers.diff so additional header
    directories used in python3.3 due to multiarch are found during build
  * Update debian/rules to account for different layout of python3.3 in
    anicipation of multiarched python3.3
  * Add specific build-dep on python2.7-dev >=2.7.5-2~ for python2.7-config
    configdir support
  * Update python3-all-dev minimum version due to bug fixes in 3.2.3-6 for
    building with multiple python3 versions
  * Generate a multi-version pyqtconfig.py for python3 variants to account
    for multiple files installed into the same directory as is done with
    sipconfig in python3-sip (Closes: #707734)
  * Add removal of qpy/QtCore/qpycore_post_init.cpp to clean rule
  * Drop unused python:Provides
  * Bump standards version to 3.9.4 without further change

  [ Steve Langasek ]
  * Fine adjustments to debian/rules

 -- Scott Kitterman <scott@kitterman.com>  Thu, 16 May 2013 09:34:47 -0400

python-qt4 (4.9.6-1) experimental; urgency=low

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Mon, 10 Dec 2012 06:42:39 -0500

python-qt4 (4.9.5-1) experimental; urgency=low

  * New upstream release
    - Bump minimum python-sip-dev and python3-sip-dev versions to 4.14
    - Drop debian/patches/pyuic_custom_widget.diff (it was a cherrypick from
      upstream and is included in this version)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 01 Oct 2012 16:10:40 -0400

python-qt4 (4.9.3-4) unstable; urgency=low

  * Add -N pyqt4-dev-tools to the dh_python3 invocation so dh_pyton3 will
    leave pyqt4-dev-tools alone and not rewrite it's shebang to
    /usr/bin/python3 (Closes: 682623)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 24 Jul 2012 16:12:15 -0400

python-qt4 (4.9.3-3) unstable; urgency=low

  * Add debian/patches/pyuic_custom_widget.diff from upstream to fix custom
    widget detection and prevent other packages from FTBFS (Closes: #680837)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 14 Jul 2012 00:51:49 -0400

python-qt4 (4.9.3-2) unstable; urgency=low

  * Revert dropping of python:Provides for python-qt4 (Closes: #679819)
    - Needed by python-avogadro

 -- Scott Kitterman <scott@kitterman.com>  Thu, 05 Jul 2012 09:22:30 -0400

python-qt4 (4.9.3-1) unstable; urgency=low

  * New upstream release
    - Bump minimum sip4 build-depends requirement to 4.13.3
    - Refresh patches and adapt debian/patches/fix_qthelp_ftbfs.diff to
      upstream configure.py changes
    - Drop debian/patches/dbus.patch - originally backported from upstream
    - Drop debian/patches/fix_qthelp_ftbfs.diff and
      fix_the_QAssitant_ftbfs.diff - incorporated upstream
    - Update debian/copyright
  * Remove Suggests on non-existant python-phonon-dbg and python3-
    phonon-dbg packages
  * Drop hard coded depends on python-opengl in python-qt4-gl, not
    needed
  * Add new python3-pyqt4.qtopengl and python3-pyqt4.qtopengl-dbg
    packages (Closes: #673925)
    - Uncomment package in debian/control
    - Correct -dbg package name in debian/rules
    - Add debian/python3-pyqt4.gtopengl.install
  * Add support for dpkg-buildflags in debian/rules
    - Drop special optimization for GCC 4.2
    - Add build-depends on dpkg-dev (>= 1.16.1~)
  * Correct DBus to read D-Bus in package descriptions
  * Drop unneeded python:Provides

 -- Scott Kitterman <scott@kitterman.com>  Sun, 24 Jun 2012 12:06:10 -0400

python-qt4 (4.9.1-5) unstable; urgency=low

  * Upload to Unstable (Closes: #673846)
  * Update python-all-dev and python3-all-dev build-depend version minimums
    to account for introduction of --no-dbg-cleaning

 -- Scott Kitterman <scott@kitterman.com>  Mon, 21 May 2012 14:27:06 -0400

python-qt4 (4.9.1-4) experimental; urgency=low

  * Build python3-dbus.mainloop.qt/-dbg packages with experimental python3
    port of dbus-python
    - Add packages to debian/control
    - Add python3-dbus and python3-dbus-dbg to build-depends
    - Adjust debian/rules to support python3-dbus.mainloop.qt-dbg
    - Provide path to dbus-python.h using --dbus option in configure since in
      Python 3, the build system can't find it

 -- Scott Kitterman <scott@kitterman.com>  Thu, 03 May 2012 10:26:27 -0400

python-qt4 (4.9.1-3) unstable; urgency=low

  * Upload to unstable for qt4-x11 multiarch transition
  * Drop python3-pyqt4-dbus for upload to unstable since the required
    dbus-python version is not available in unstable yet
  * Fix dbus related PyQt application crashes (LP: #334757)
    - Add debian/patches/dbus.patch from upstream
  * Do not compress .qml, .xpm, .mng, .qss., and .xbel file types as well as
    examples/animation/stickman/animations/chilling so examples in
    python4-qt-doc will run (Closes: #657205, #657211)
  * Add debian/README.Debian to python4-qt-doc to explain how to run examples
  * Fix debian/rules PYTHONS definition to include all supported python3
    versions
  * Fix debian/copyright to mention both GPL versions 2 and 3
    (Closes: #602721) (LP: #955004)
  * Bump standards version to 3.9.3 without further change

 -- Scott Kitterman <scott@kitterman.com>  Thu, 03 May 2012 10:26:27 -0400

python-qt4 (4.9.1-2) experimental; urgency=low

  * Adjust install path in debian/python-qt4.install for multiarched qt4-x11
    and bump minimum build-dep version to 4:4.8.0-1~
  * Use python3-dbus.mainloop.qt/dbg binary names instead of
    python3-pyqt4-dbus since that matches Python policy, last experimental
    upload was in error
    - Remove duplicate files from the new dbus packages in debian/rules
  * Build python3-dbus.mainloop.qt/-dbg packages with experimental python3
    port of dbus-python
    - Add packages to debian/control
    - Add python3-dbus and python3-dbus-dbg to build-depends
    - Adjust debian/rules to support python3-dbus.mainloop.qt-dbg
    - Provide path to dbus-python.h using --dbus option in configure since in
      Python 3, the build system can't find it

 -- Scott Kitterman <scott@kitterman.com>  Sun, 12 Feb 2012 11:33:50 -0500

python-qt4 (4.9.1-1) unstable; urgency=low

  * Drop experimental options (multiarch qt4-x11 path and python3-pyqt4-dbus)
    for upload to unstable
  * New upstream release
    - Drop debian/patches/py3-fixes.patch, upstream fixed the problem in a
      slightly different way
    - Drop debian/patches/kubuntu_arm_fix.diff, fixed upstream
  * Install NEWS file as upstream changelog since that is what it is
  * Rebuild sphinx based html docs from rst files
    - Add python-sphinx (>= 1.0.7+dfsg-1~) to build-depends
    - Add sphinxdoc:Depends to python-qt4-doc depends
    - Add call to sphinx-build and dh_sphinxdoc for arch all packages
  * Drop build-depends on qtmobility-dev, pointless right now since the build
    system can not find its headers

 -- Scott Kitterman <scott@kitterman.com>  Sun, 12 Feb 2012 11:27:51 -0500

python-qt4 (4.9-3) experimental; urgency=low

  [ Scott Kitterman ]
  * Add myself to uploaders
  * Add missing build-depends on qtmobility-dev, python-dbus-dev, and
    libicu-dev
  * Feedback changes from Ubuntu
  * Adjust install path in debian/python-qt4.install for multiarched qt4-x11
    and bump minimum build-dep version to 4:4.8.0-1~
  * Use dh_sip3 for generating SIP depends instead of hard coded version now
    that dh_sip3 is available
    - Add dh_sip3 in debian/rules
  * Build python3-pyqt4-dbus/-dbg packages now that python3 port of dbus-python
    is availalble
    - Add packages to debian/control
    - Add python3-dbus and python3-dbus-dbg to build-depends
    - Adjust debian/rules to support python-pyqt4-dbus-dbg
    - Provide path to dbus-python.h using --dbus option in configure since in
      Python 3, the build system can't find it

  [ Barry Warsaw ]
  * Port dbus/dbus.cpp to work with Python3 as well and add as
    debian/patches/py3-fixes.patch

  [ Jonathan Riddell ]
  * Add kubuntu_arm_fix.diff to fix qpainterpath.sip use of 'double'
    which causes ARM to fail to build with Qt 4.8

 -- Scott Kitterman <scott@kitterman.com>  Fri, 27 Jan 2012 12:15:01 -0500

python-qt4 (4.9-2) unstable; urgency=low

  * Team upload
  * Do not ship python uic in python3-pyqt4 (ship only the python3 port)
    (Closes: #653567)
  * Manually add python3-sip (>= 4.13.1~) to python3-pyqt4 depends to work
    around the lack of a working dh_sip3

 -- Scott Kitterman <scott@kitterman.com>  Thu, 29 Dec 2011 11:10:35 -0500

python-qt4 (4.9-1) unstable; urgency=low

  * Team upload

  [ Scott Kitterman ]
  * New upstream release (Closes: #653293)
    - Adds QtDbus module support (in python-qt4 - the existing python-qt4-dbus
      is still provided for python)
    - Add relevant QtDbus.so to python-qt4.install and python3-pyqt4.install
    - Update relevant package descriptionts to mention QtDBus
    - Bump minimum python-sip-dev and python3-sip-dev version required to
      4.13.1
    - Add Breaks for python[3]-sip4 (<< 4.13.1~)
    - Refreshed patches
  * Build for python3 (Closes: #558389) (LP: #400826)
    - Add python3-all-dev/dbg and python3-sip-dev/dbg to build-depends
    - Add python3-qt4-* packages
    - Add X-Python-Version to debian/rules
    - Adjust debian/rules and add install-arch-3.%: rule
    - Add .install files for new packages
    - Adjust .install files for python packages to install python2* and not
      python* files to avoid python3 files
  * Use --no-dbg-cleaning for dh_python2 and dh_python3
  * Fix debian/rules to remove empty directories
  * Drop obsolete Conflicts/Replaces
  * Update debian/copyright

  [ Felix Geyer ]
  * Add build-arch/build-indep targets.

 -- Scott Kitterman <scott@kitterman.com>  Wed, 28 Dec 2011 14:04:51 -0500

python-qt4 (4.8.6-2) unstable; urgency=low

  * Team upload
  * Update Breaks for pykde4, python-qscintilla2, and pyqwt5 since they need
    rebuilds with the new upstream version (Closes: #647210)
  * Bump standards version to 3.9.2 without further change

 -- Scott Kitterman <scott@kitterman.com>  Wed, 02 Nov 2011 16:40:56 -1000

python-qt4 (4.8.6-1) unstable; urgency=low

  * Team upload
  * New upstream release
    - Drop debian/patches/fix_uiparser_buttonbox.diff (was from upstream)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 29 Oct 2011 13:20:14 -0400

python-qt4 (4.8.3-4) unstable; urgency=medium

  * Team upload
  * Extend/fix python-qt4 Breaks: for dh_python2 switch (Thanks to Jakub Wilk
    for the script that detected the problem)
  * Medium urgency to minimize impact on python-dbus transition

 -- Scott Kitterman <scott@kitterman.com>  Sun, 07 Aug 2011 20:57:47 -0400

python-qt4 (4.8.3-3) unstable; urgency=low

  * Team upload
  * Switch to dh_python2  (Closes: #634860)
  * Wrap and sort build-depends and depends

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 16 Jul 2011 20:42:15 +0200

python-qt4 (4.8.3-2) unstable; urgency=low

  [ Scott Kitterman ]
  * Update from Ubuntu changes:
   - Bump Qt build-depends version to 4:4.7.0, add build-depends on
     libqtwebkit-dev, and add QtDeclarative.so to python-qt.install for Qt 4.7
     compatibility
   - Remove obsolete dpatch artifacts from debian/patches/
     fix_the_QAssitant_ftbfs.diff
   - Add kubuntu_01_fix_uiparser_buttonbox.diff as fix_uiparser_buttonbox.diff
     - Fix AttributeError in ui/uiparser.py (Upstream 4.8.4-278054fd857c)
  * Add qt-assistant-compat to build-depends to build QtAssistant bindings
    with Qt 4.7
  * Bump standards version to 3.9.1 without further change

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Thu, 17 Mar 2011 18:43:11 -0400

python-qt4 (4.8.3-1) unstable; urgency=low

  * Team upload.

  [ Felix Geyer ]
  * New upstream release
  * debian/control
    - Bump build dependency on sip to 4.12.1
  * debian/rules
    - Add "--verbose" to common configure options
  * debian/patches/fix_qthelp_ftbfs.diff
    - Add patch to fix FTBFS with ld --no-add-needed (closes: #614974)
  * debian/patches/debian_configure_changes.diff
    - Adapt to new upstream version

  [ Piotr Ożarowski ]
  * Rebuild against new python-sip version closes: #615163
  * Add fix_the_QAssitant_ftbfs patch (thanks to PICCA Frédéric-Emmanuel)
  * Add libjs-jquery to python-qt4-doc's Depends and replace jquery files with
    symlinks.

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 01 Mar 2011 22:22:33 +0100

python-qt4 (4.7.3-1) unstable; urgency=low

  * New upstream release
  * Build against Qt 4.6
  * debian/control
    - Bumped build dependency on libqt4-dev to >= 4.6.0

 -- Torsten Marek <shlomme@debian.org>  Sun, 18 Apr 2010 18:10:54 +0200

python-qt4 (4.7.2-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - Bumped build dependency on sip to 4.10.1
  * debian/patches/fix_objdir_dbus_check.diff
    - Removed, fixed upstream
  * debian/rules
    - Upstream changelog has been removed, don't try to install it

 -- Torsten Marek <shlomme@debian.org>  Fri, 26 Mar 2010 19:57:18 +0100

python-qt4 (4.7-2) unstable; urgency=low

  * Uploaded new upstream to unstable
    (Closes: #567224, #561878, #564657, 558112)
  * debian/control
    - Bumped standards version to 3.8.4, no changes necessary
  * debian/rules
    - Build rc module for qtdemo.py and don't compress XML files
      (Closes: #558244)
  * debian/README.source
    - Removed, we don't use dpatch anymore
  * debian/patches/{series,htmllinks.diff}
    - Adapted/removed, pyqt4ref.html is not installed into html/
      any more

 -- Torsten Marek <shlomme@debian.org>  Tue, 02 Feb 2010 22:48:20 +0100

python-qt4 (4.7-1) experimental; urgency=low

  * New upstream release
  * debian/control
    - Droppend dependency on python-elementtree, package has been removed.
    - Depend on ${sip:Depends} instead of hard-coding sip package version
    - Build-depend on python-sip-dev, sip4 and python-sip4-dev have been
      removed
  * Converted package to source format "3.0 (quilt)"
  * debian/patches/{qreal_float_support,htmllinks}.diff
    - Adapted to quilt
  * debian/patches/debian_configure_changes.diff
    - Partially applied by upstream, only Debian-specific changes remaining
  * debian/rules
    - Remove dpatch handling
    - Add call to dh_sip in binary-common
  * debian/patches/fix_objdir_dbus_check.diff
    - Fix bug in configure that prevented the dbus module from being built

 -- Torsten Marek <shlomme@debian.org>  Wed, 27 Jan 2010 00:00:17 +0100

python-qt4 (4.6-1) unstable; urgency=low

  [ Torsten Marek ]
  * debian/rules
    - Fix .noinit creation for Python 2.6 by using py_sitename in install-arch-%

  [ Michael Casadevall ]
  * New upstream release
  * debian/control:
    - Updated for new release of sip4

 -- Michael Casadevall <mcasadevall@debian.org>  Wed, 07 Oct 2009 09:53:11 -0400

python-qt4 (4.5.4-1) unstable; urgency=low

  [ Torsten Marek ]
  * New upstream release
  * Acknowledge NMU. (Thanks, Bastian!)
    + Closes: #536900
  * debian/patches/05_license_check.dpatch
    - Dropped, fixed in new upstream release
  * debian/control
    - Added conflict with python-qt4-common to python-qt4 (Closes: #536595)
    - Bumped standards version to 3.8.2, no changes necessary
  * debian/rules
    - Fix install-arch to allow parallel builds (Closes: #539053)
  * debian/compat
    - Raise debhelper compatibility level to 7

  [ Michael Casadevall ]
  * Reinstalled uic/widget-plugins at upstream location (Closes: #541475)
    - Adapted debian/rules and python-qt4.install
    - Thanks Didier Raboud for the patch
  * debian/control:
    - Bumped standards version to 3.8.3
    - Add Break: python-kde4 (<< 4:4.2.4) due to ABI change (Closes: #540057)

 -- Torsten Marek <shlomme@debian.org>  Fri, 28 Aug 2009 20:34:19 +0200

python-qt4 (4.5.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix license check. (closes: #536900)

 -- Bastian Blank <waldi@debian.org>  Tue, 28 Jul 2009 19:49:44 +0000

python-qt4 (4.5.1-1) unstable; urgency=low

  * New upstream bugfix release
  * debian/control
    - Bump all dependencies on sip to 4.8.1

 -- Torsten Marek <shlomme@debian.org>  Thu, 18 Jun 2009 20:59:11 +0200

python-qt4 (4.5-1) unstable; urgency=low

  * New upstream release (Closes: #486931, #480296, #520188)
  * debian/python-qt4.install
    - Install QtScriptTools module
  * debian/rules
    - Don't try to install missing dbus modules for Python 2.6
    - Share configuration options between debug and normal builds
    - Do not link against libGL.so and libGLU.so
  * debian/patches/01_configure.dpatch
    - Updated for qpy support modules
  * debian/patches/02_htmllinks.dpatch
    - Updated
  * debian/patches/04_widget-plugins_location.dpatch
    - Updated
  * debian/control
    - Build-dependencies and dependencies bumped to sip 4.8
    - Removed python-qt4-common, not needed anymore because
      python-qt4-dev does not ship Python files anymore
  * debian/pyuic4
    - Added simple wrapper script for pyuic4

 -- Torsten Marek <shlomme@debian.org>  Tue, 09 Jun 2009 23:54:50 +0200

python-qt4 (4.4.4-6) unstable; urgency=medium

  * medium urgency as we are fixing a RC bug which makes
    several other packages FTBFS.
  * debian/rules:
    - Prepare build-process for Python 2.6.
    - Install the python-qt4-dbus debug extensions properly again,
      they were forgotten during the migration to python-support.
    - Move pyuic4's widget-plugins directory to
      /usr/share/python-qt4 as the directory must not be a
      namespace package - therefore it doesn't make sense to install
      it within the normal modules directory.
      Thanks to Pierre Chifflier for the bugreport (Closes: #523059).
  * debian/*.install:
    - Handle *-package directories to support Python 2.6.
  * debian/control:
    - Use versioned dependencies on python-qt4-common,
      thanks to Zed Pobre for the bug report (Closes: #505572).
    - pyqt4-dev-tools: make the dependency on python-qt a
      versioned one.
  * debian/patches/04_widget-plugins_location.dpatch:
    - Adding patch to tell pyuic about the new location of the
      widget plugins.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 08 Apr 2009 23:14:23 +0200

python-qt4 (4.4.4-5) unstable; urgency=low

  * debian/control:
    - Switch to python-support, drop all X*-Python fields.
    - Adding myeslf to Uploaders.
  * debian/rules:
    - Avoid all insane hacks which were messing with
      /var/lib/python-support. This was prone to fail in any case,
      and will result in FTBFS as soon as python-support 1.0 will
      hit unstable. This should also fix #512739 as python-support
      uses triggers, so the broken 'local' file (which was installed
      via python-central from an old package) will be gone.
      (Closes: #512739)
    - Create debian/python-qt4-dbus.install on the fly as
      directories may change depending on the used python-support
      version.
  * debian/README.source, debian/pycompat:
    - Dropping file, not needed anymore.
  * debian/python-qt4-dbus.install: dropping file, see above.
  * debian/pyversions: create file, build for Python 2.4 and later.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 06 Apr 2009 22:56:52 +0200

python-qt4 (4.4.4-4) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/manpages/pyuic4.1
    - fixed minor error; thanks to Ori Avtalion for the report; Closes: #518957

  [ Michael Casadevall ]
  * Moved package from experimental to unstable
  * debian/control:
    - Updated my email to mcasadevall@debian.org
    - Bumped standards version to 3.8.1
    - Corrected section mismatches
      - Changed python-qt-*-dbg section to debug 
    - Tightened build-deps to match normal dependences.
      - sip4 versioned to build against 4.7.9 matching the Depends

 -- Michael Casadevall <mcasadevall@debian.org>  Sun, 05 Apr 2009 11:35:15 -0400

python-qt4 (4.4.4-3) experimental; urgency=low

  [ Torsten Marek ]
  * debian/control
    - increase python-sip4 dependecy to 4.7.9, needed by python-qt4-phonon

  [ Michael Casadevall ]
  * Merge of patches from Ubuntu to correct ARM support (LP: #308814)
    - Added debian/patches/03_qreal_float_support.dpatch
      - Corrects a configuration test which caused qreals to end up
        as floats on non-ARM architectures, and as doubles on ARM architectures.
      - Added handling of doubles on qreal != float for QLists
      - Moved pyqtconfig.py from python-qt4-dev to python-qt4
  * debian/rules:
    - Moved pyqtconfig.py installation to python-qt4.install
    - Standardized the uses of spaces and tabs
  * debian/python-qt4.install
    - Install pyqtconfig.py files into python-qt4 vs. python-qt4-dev.
      This is because python-qt4 is arch any, and python-qt4-dev is
      arch all, and the config file can be different on different
      architectures (i.e. ARM)
  * debian/control:
    - Added necessary conflict/replaces to python-qt4
    - Added myself to uploaders

 -- Michael Casadevall <sonicmctails@gmail.com>  Sun, 21 Dec 2008 01:09:39 -0500

python-qt4 (4.4.4-2) experimental; urgency=low

  * debian/patches
   - Dropped arm/armel specific patches for qreal issues, support for
     that has been added upstream. Thanks to Matthias Klose
     (Closes: #506682)
   - cleaned up cruft from 01_configure patch

 -- Torsten Marek <shlomme@debian.org>  Sun, 23 Nov 2008 22:37:14 +0100

python-qt4 (4.4.4-1) experimental; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Torsten Marek ]
  * New upstream release
  * debian/control
    - add build-dependency to libphonon-dev 4:4.2.0-2
    - new packages python-qt4-phonon{-dbg} with bindings to Phonon
    - bump build-dependency on sip to 4.7.8
    - cleanup dependencies of debug packages
  * debian/rules
    - adapt to changes in configure.py
  * debian/patches/01_configure.py
    - disabling Designer plugin build is supported by upstream configure
      script now, remove own configuration option
    - libphonon-dev 4:4.2.0-2 is compatible with Phonon distributed
      with Qt 4.4, no need for workarounds any more

 -- Torsten Marek <shlomme@debian.org>  Sat, 22 Nov 2008 19:32:27 +0100

python-qt4 (4.4.3-1) experimental; urgency=low

  * New upstream release

 -- Torsten Marek <shlomme@debian.org>  Tue, 12 Aug 2008 08:13:10 +0200

python-qt4 (4.4.2-4) unstable; urgency=medium

  * urgency=medium to speed up migration to testing
  * debian/control
    - build with -Wl,--no-relax on alpha
    - link with -Wl,-O1 to speed up dynamic loading
    - build with -Os, decreases size of so's by about 10%
    - don't overwrite CXXFLAGS

 -- Torsten Marek <shlomme@debian.org>  Thu, 03 Jul 2008 22:45:26 +0200

python-qt4 (4.4.2-3) unstable; urgency=medium

  * urgency=medium to speed up QScintilla2 migration to testing
  * debian/rules
    - properly escape dollar sign in sed expressions
    - compile with -O1 on gcc 4.2

 -- Torsten Marek <shlomme@debian.org>  Tue, 01 Jul 2008 11:22:20 +0200

python-qt4 (4.4.2-2) unstable; urgency=medium

  * Fix build failure on Mips(el) architectures
  * urgency=medium to speed up QScintilla2 migration to testing
  * Phonon bindings have to wait until Phonon 4.2 comes to unstable
  * debian/patches
    - drop qreal fixes for Mips(el) to fix build failure
    - prepare configure.py patch for phonon bindings build
  * debian/control
    - fix GCC version detection
    - only split into 10 parts for non-4.2 GCCs
    - set optimization to -O2

 -- Torsten Marek <shlomme@debian.org>  Wed, 25 Jun 2008 01:33:43 +0200

python-qt4 (4.4.2-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - added Build-Conflicts to python-xml
    - added Depends on libqt4-opengl for python-qt4-gl (Closes: #480293)
    - added libqt4-opengl-dev to Build-Dep; thanks to Sune Vuorela (Closes:
      #479924)
    - updated Homepage field
    - bump Standard-Version to 3.8.0 (no changes needed)
  * debian/watch
    - updated

  [ Torsten Marek ]
  * New upstream release (Closes: #481603)
  * debian/control
    - bump sip4 build-dependency to 4.7.6
    - bump python-sip4 dependency to 4.7.6

 -- Torsten Marek <shlomme@debian.org>  Wed, 11 Jun 2008 23:25:48 +0200

python-qt4 (4.3.3-3) unstable; urgency=low

  * debian/rules
    - Installed PyQt4/__init__.py in correct location
      for new python-central version (Closes: #472049).

  * debian/control
    - Updated build dependency on python-central to 0.6
    - Build-conflict with python-xml for the time being,
      debug DBus module cannot be imported otherwise.
    - Set Maintainer field to DPMT.
    - Added myself to uploaders.
    - Drop -1 suffixes from build dependencies.
    - Fixed spelling of Python.

  * debian/copyright
    - Updated copyright information.

  * Fixed section of python-qt4-doc doc-base document
    to be Programming/Python

 -- Torsten Marek <shlomme@debian.org>  Fri, 21 Mar 2008 20:37:38 +0100

python-qt4 (4.3.3-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

  [ Torsten Marek ]
  * Override LFLAGS from qmake-qt4, libqt4-dev 4.3.3-1 changed
    from -Wl,--as-needed to -Wl,--no-undefined. This lead
    to Python symbols to be reported as undefined references.
    (Closes: #458869)
  * Use bzip2 as compression method for debs, since the
    packages with the debug symbols are quite large.

 -- Torsten Marek <shlomme@debian.org>  Sun, 06 Jan 2008 12:26:24 +0100

python-qt4 (4.3.3-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards version to 3.7.3, no changes necessary.
  * Changed priority of python-qt4-dbus-dbg to extra.
  * Fixed lintian warnings for doc-base, renamed document
    from PyQt4 to pyqt4

 -- Torsten Marek <shlomme@debian.org>  Sun, 16 Dec 2007 15:14:57 +0100

python-qt4 (4.3.1-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Vcs-Svn, Vcs-Browser and Homepage fields added

  [ Torsten Marek ]
  * New upstream release. (Closes: #445337)
  * Added python-qt4-dbus-dbg package.

 -- Torsten Marek <shlomme@debian.org>  Mon, 22 Oct 2007 18:35:19 +0200

python-qt4 (4.3-7) unstable; urgency=low

  * Added watch file.
  * python-qt4-{sql,gl}-dbg now really contain debug extensions.
  * Do not strip the Qt4 desigern plugin in the Makefile
  * Correctly install debug symbols.

 -- Torsten Marek <shlomme@debian.org>  Sun, 16 Sep 2007 10:53:32 +0200

python-qt4 (4.3-6) experimental; urgency=low

  * Merged back changes from Ubuntu:
  * Added debug packages. (Closes: #435652)
  * Move dbus mainloop module to other location. (Closes: #439359)

 -- Torsten Marek <shlomme@debian.org>  Wed, 12 Sep 2007 19:18:31 +0200

python-qt4 (4.3-5) unstable; urgency=low

  * Added DPMT to uploaders field.
  * Changed patch to substitute double by float where needed
    instead of qreal, because there is a sip bug that prevents
    a proper fix.
  * Split into more files and use -O1 only to be able to build with
    g++ 4.2.

 -- Torsten Marek <shlomme@debian.org>  Mon, 03 Sep 2007 23:12:09 +0200

python-qt4 (4.3-4) unstable; urgency=low

  * Forward CXXFLAGS to the build system (Closes: #438392)
  * Handle nostrip build option correctly (Closes: #437867)
  * Fixed another build error related to qreal/double/float.
  * Added dpatch patch list for armel.

 -- Torsten Marek <shlomme@debian.org>  Sun, 12 Aug 2007 15:31:52 +0200

python-qt4 (4.3-3) unstable; urgency=low

  * Include patch for build issues on ARM and Mips. (Closes: #434378)
  * Put PyQt4/__init__.py into new package python-qt4-common
    It's not an elegant solution, but a clean one at least.
  * python-qt4-dev depends on python-sip4-dev

 -- Torsten Marek <shlomme@debian.org>  Tue, 07 Aug 2007 23:11:19 +0200

python-qt4 (4.3-2) unstable; urgency=low

  * It's the simple things...
  * readded __init__.py in PyQt4

 -- Torsten Marek <shlomme@debian.org>  Wed, 01 Aug 2007 21:42:36 +0200

python-qt4 (4.3-1) unstable; urgency=low

  * New upstream release (Closes: #435392, #397551)
  * pyqtconfig.py is now contained in python-qt4-dev
  * Includes the QtTest module
  * Added manpages for pyuic4, pyrcc4 and pylupdate4.

 -- Torsten Marek <shlomme@debian.org>  Tue, 31 Jul 2007 20:00:26 +0200

python-qt4 (4.2-1) unstable; urgency=low

  * DBus support module is now built
  * QtDesigner module is now built
  * QtDesigner plugin for PyQt4 widget support is now built

 -- Torsten Marek <shlomme@debian.org>  Sat, 19 May 2007 22:18:14 +0200

python-qt4 (4.2-0) unstable; urgency=low

  * New upstream release
  * QtDesigner plugin support still missing
  * DBus support still missing

 -- Torsten Marek <shlomme@debian.org>  Mon, 07 May 2007 21:53:56 +0200

python-qt4 (4.1.1-1) experimental; urgency=low

  * New upstream release
  * Dropped unused patches

 -- Torsten Marek <shlomme@debian.org>  Wed,  3 Jan 2007 21:10:54 +0100

python-qt4 (4.0.1-5) unstable; urgency=low

  * Build-depend on fixed version of libqt4-dev
  * Drop build-dependency on GLib 2.0 (Closes: #393067)
  * Merge all Qt 4.2 patches into one patch
  * Install API documentation files (Closes: #393921)
  * Added doc-base file for documentation package

 -- Torsten Marek <shlomme@debian.org>  Thu, 19 Oct 2006 20:08:27 +0200

python-qt4 (4.0.1-4) unstable; urgency=medium

  * The "You are now entering a world of pain" release
  * Include the minimal amount of changes to build against
    Qt 4.2
  * Build-depend against Glib 2.0 (Closes: #393067)

 -- Torsten Marek <shlomme@debian.org>  Mon, 16 Oct 2006 22:09:39 +0200

python-qt4 (4.0.1-3) unstable; urgency=low

  * Rebuilt with fixed sip4 to include QtAssistantClient
    (Closes: #385818)

 -- Torsten Marek <shlomme@debian.org>  Sun, 17 Sep 2006 13:41:52 +0200

python-qt4 (4.0.1-2) unstable; urgency=low

  * Surround imports in Qt.py with exception handlers
    (Closes: #381432)

 -- Torsten Marek <shlomme@debian.org>  Wed, 30 Aug 2006 14:54:59 +0200

python-qt4 (4.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #378086)

 -- Torsten Marek <shlomme@debian.org>  Sun, 16 Jul 2006 12:15:35 +0200

python-qt4 (4.0-2) unstable; urgency=low

  * Install distinct pyqtconfig.py for all python versions
  * Added debian/pycompat (level 2)

 -- Torsten Marek <shlomme@debian.org>  Mon, 10 Jul 2006 19:13:10 +0200

python-qt4 (4.0-1) unstable; urgency=low

  * Initial upload (Closes: #362185, #372872)

 -- Torsten Marek <shlomme@debian.org>  Tue, 27 Jun 2006 00:23:48 +0200
